Loading...
Searching...
No Matches
restinio::http_field_parsers::connection_value_t Struct Reference

Tools for working with the value of Connection HTTP-field. More...

`#include <connection.hpp>`

## Public Types

using | value_container_t = std::vector< std::string >

## Static Public Member Functions

static RESTINIO_NODISCARD auto | make_parser ()
| A factory function for a parser of Connection value.
static RESTINIO_NODISCARD expected_t< connection_value_t, restinio::easy_parser::parse_error_t > | try_parse (string_view_t what)
| An attempt to parse Connection HTTP-field.

## Public Attributes

value_container_t | values

## Detailed Description

Tools for working with the value of Connection HTTP-field.

This struct represents parsed value of HTTP-field Connection (see https://tools.ietf.org/html/rfc7230#section-6):

    Connection        = 1#connection-option
    connection-option = token

Note
  Connection options are converted to lower case during the parsing.

Since
  v.0.6.9

Definition at line 40 of file connection.hpp.

## Member Typedef Documentation

## value_container_t

using restinio::http_field_parsers::connection_value_t::value_container_t = std::vector< std::string >

Definition at line 42 of file connection.hpp.

## Member Function Documentation

## make_parser()

static RESTINIO_NODISCARD auto restinio::http_field_parsers::connection_value_t::make_parser | ( |  | ) |

inline static

A factory function for a parser of Connection value.

Since
  v.0.6.9

Definition at line 53 of file connection.hpp.

## try_parse()

static RESTINIO_NODISCARD expected_t< connection_value_t, restinio::easy_parser::parse_error_t > restinio::http_field_parsers::connection_value_t::try_parse | ( | string_view_t | what | ) |

inline static

An attempt to parse Connection HTTP-field.

Since
  v.0.6.9

Definition at line 69 of file connection.hpp.

## Member Data Documentation

## values

value_container_t restinio::http_field_parsers::connection_value_t::values

Definition at line 44 of file connection.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/http_field_parsers/connection.hpp